<?php include_once '../config.php'; ?>
<?php
$title = 'Contact Us | H A Legal';
$isContactPage = true;

 // send the emails
if (isset($_POST)){

//    echo '<pre>';
//    var_dump($_POST);
//    exit();
    $success = null;
    $error = false;

    /**
     * Send the mail
     *
     * @return bool
     */
    function sendMail()
    {
        $firstName = $_POST['c_fname'];
        $lastName = $_POST['c_lname'];
        $email = $_POST['c_email'];
        $tel = $_POST['c_tel'];
        $subject = $_POST['c_subject'];
        $msg = $_POST['c_msg'];

        $headers = "From: H A Legal Website<info@halegal.com.au>\r\n";
        $headers .= "Reply-To: no-reply@halegal.com.au\r\n";
        $headers .= "MIME-Version: 1.0\r\n";
        $headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
        ob_start();
        $args = [
            'firstName' => $firstName,
            'lastName' => $lastName,
            'email' => $email,
            'tel' => $tel,
            'subject' => $subject,
            'msg' => $msg,
        ];
        include( __DIR__ . '/contact-form-email-template.php' );
        $content = ob_get_clean();
        return mail(SEND_MAIL_TO, 'A new client enquiry', $content, $headers);

    }


    // if external website dont do anything
//    if (strpos($_SERVER['HTTP_REFERER'], SITE_URL) !== false){
        // check the session

        if (isValidSession()) {

            if ( sendMail() ) {
                setSessionTimer();
                if ( expectsJson() ) {
                    jsonResponse(['success' => true]);
                }
                else {
                    $success = true;
                    $error   = false;
                }
            }
            else {
                if ( expectsJson() ) {
                    jsonResponse(['success' => false, 'error' => 'Something went wrong sending your email'], 505);
                }
                else {
                    $success = false;
                    $error   = 'Something went wrong sending your email';
                }
            }
        }

//    }else {
//        if (expectsJson()) { // sent from ajax
//            jsonResponse(['success' => false, 'data' => [], 'error' => 'Unauthorised'], 401);
//        }
//    }

}
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../partials/head.php' ?>
<body>
<?php include_once '../partials/header.php' ?>
<section class="inner-banner" style="background-image: url('<?= PUBLIC_URL ?>images/contact-banner.jpg')">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-8 col-md-offset-2">
                <div class="spacer-invis"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <h1 class="inner-hero-title">Contact Us</h1>
                <p class="inner-hero-desc"></p>
                <div class="spacer-tiny hidden-sm hidden-xs"></div>
                <div class="spacer-invis"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
            </div>
        </div>
    </div>
</section>

<section class="section">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2 how-we-work-1st">
                <h3 class="section-title brand">Contact</h3>
                <div class="spacer-tiny"></div>
                <?php if($error): ?>
                <div class="alert alert-danger" style="font-size: 0.8em">
                    <p class="p700">There has been an error</p>
                    <p><?= $error ?></p>
                </div>
                <?php endif; ?>
                <?php if($success): ?>
                    <div class="alert alert-success" style="font-size: 0.9em">
                        <p>Your message have been sent successfully</p>
                    </div>
                <?php endif; ?>
                <form method="post">
                    <input type="hidden" name="id" value="<?= session_id() ?>" />
                    <div class="contact-form-container">
                    <div class="flex-row flex1">
                        <div class="flex1 padding6">
                            <input required class="input form-control animated" placeholder="First Name" name="c_fname" id="c_fname" type="text">
                        </div>
                        <div class="flex1 padding6">
                            <input required class="input form-control animated" placeholder="Last Name" name="c_lname" id="c_lname" type="text">
                        </div>
                    </div>
                    <div class="flex-row flex1">
                        <div class="flex1 padding6">
                            <input required class="input form-control animated" placeholder="Email" name="c_email" id="c_email" type="email">
                        </div>
                        <div class="flex1 padding6">
                            <input required class="input form-control animated" placeholder="Phone" name="c_tel" id="c_tel" type="tel">
                        </div>
                    </div>
                    <div class="flex-row flex1">
                        <div class="flex1 padding6">
                            <input required class="input form-control animated" name="c_subject" id="c_subject" type="text" placeholder="Subject">
                        </div>
                    </div>
                    <div class="flex-row flex2">
                        <div class="flex1 padding6">
                            <textarea required class="input form-control animated" name="c_msg" id="c_msg" placeholder="Tell us a bit about your enquiry...."></textarea>
                        </div>
                    </div>
                    <div class="flex-row flex1">
                        <div class="flex1 padding6">
                            <button class="btn btn-wide btn-dark">Submit</button>
                        </div>
                    </div>
                </div>
                </form>
            </div>
        </div>

    </div>
</section>
<section class="section section-grey">
    <div class="container">
        <div class="row">
            <div class="col-sm-6 text-center">
                <span class="fa fa-phone fa-3x"></span>
                <div class="spacer-tiny"></div>
                <h4 class="brand">Phone us</h4>
                <div class="spacer-tiny"></div>
                <p class="p700">(02) 9223 5704</p>
            </div>
            <div class="col-sm-6 text-center">
                <span class="fa fa-envelope-o fa-3x"></span>
                <div class="spacer-tiny"></div>
                <h4 class="brand">Email Us</h4>
                <div class="spacer-tiny"></div>
                <p class="p700">info@halegal.com.au</p>
            </div>
        </div>
    </div>
</section>
<section class="section ">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h2 class="section-title"><span class="brand">Where to find us</span></h2>
                <div class="spacer-invis"></div>

                <p class="text-center p700">Suite 1207, level 12<br>109 Pitt Street<br>Sydney NSW 2000<p>
                <div class="spacer-invis"></div>

            </div>
        </div>
    </div>
</section>

<?php include_once '../partials/footer.php' ?>
</body>
</html>
