<?php include_once '../config.php'; ?>
<?php
$title = 'How We Work | H A Legal'
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../partials/head.php' ?>
<body>
<?php include_once '../partials/header.php' ?>
<section class="inner-banner" style="background-image: url('<?= PUBLIC_URL ?>images/our-team-bg.jpg')">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-8 col-md-offset-2">
                <div class="spacer-invis"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <h1 class="inner-hero-title">Our Team</h1>
                <p class="inner-hero-desc"></p>
                <div class="spacer-tiny hidden-sm hidden-xs"></div>
                <div class="spacer-invis"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
            </div>
        </div>
    </div>
</section>

<section class="section">
    <div class="container">
        <div class="row">
            <div id="members-container">
                <div class="col-sm-6">
                    <div class="team-member">
                        <div class="team-image">
                            <div class="shine"></div>
                        </div>
                        <div class="team-name-placeholder"></div>
                        <div class="team-position-placeholder"></div>
                        <div class="team-contact-placeholder"></div>
                    </div>
                </div>

                <div class="col-sm-6">
                    <div class="team-member">
                        <div class="team-image">
                            <div class="shine"></div>
                        </div>
                        <div class="team-name-placeholder"></div>
                        <div class="team-position-placeholder"></div>
                        <div class="team-contact-placeholder"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<template id="team-member-template">

    <div class="col-sm-6">
        <div class="team-member">
            <div class="team-image"></div>
            <p class="team-name"></p>
            <p class="team-position"></p>
            <a class=" btn btn-wide btn-dark team-contact">About <span class="team-first-name"></span></a>
        </div>
    </div>

</template>
<?php include_once '../partials/footer.php' ?>
<script>
    $(function() {
      getMembers();
    });
    function getMembers() {
      $.get('<?= WP_API.WP_API_DEFAULT_ENDPOINT ?>members?orderby=menu_order&order=asc')
      .success(function(data) {
        renderMembers(data);
      }).fail(function(e) {
        console.log(e);
        alert('Sorry there has been an error reading data')
      })
    }

    function renderMembers(members) {
      $('#members-container').html('');
      members.forEach(function(member) {
        renderMember(member)
      })
    }

    function renderMember(member) {
      var clone = document.getElementById('team-member-template').cloneNode(true);
      var content = clone.content;
      if (member.featured_media) {
        $(content).find('.team-image').attr('id', 'member_media_' + member.featured_media);
        getMediaLink(member.featured_media);
      }

      if (member.acf.first_name) {
        $(content).find('.team-first-name').text(member.acf.first_name)
      }
      $(content).find('.team-name').text(member.title.rendered);
      if (member.acf.position) {
        $(content).find('.team-position').text(member.acf.position)
      }
      $(content).find('.team-contact').attr('href', '<?= SITE_URL ?>our-team/members/' + member.slug)
      $(content).appendTo($('#members-container'))
    }

    function getMediaLink(id, size) {
      if (!size) size = 'full';
        $.get('<?= WP_API.WP_API_DEFAULT_ENDPOINT ?>media/' + id)
          .success(function(data) {
            if (data.media_details.sizes[size]) {
              $('#member_media_' + id).css('background-image', 'url("' + data.media_details.sizes[size].source_url + '")');
            }else {
              $('#member_media_' + id).css('background-image', 'url("' + data.guid.rendered + '")');
            }
          }).fail(function(e) {
          //
          console.log(e)
        });
    }
</script>
</body>
</html>
