<?php
if (array_key_exists('member', $_GET))
$member = $_GET['member'];
else
    $member = null;
?>
<?php include_once '../../config.php'; ?>
<?php
$title = isset($member) ? $member.' | H A Legal' : 'Not Found | H A Legal'
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../../partials/head.php' ?>
<body>
<?php include_once '../../partials/header.php'?>
<section class="inner-banner" style="background-image: url('<?= PUBLIC_URL ?>images/our-team-bg.jpg')">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-8 col-md-offset-2">
                <div class="spacer-invis"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <h1 class="inner-hero-title">Our Team</h1>
                <p class="inner-hero-desc"></p>
                <div class="spacer-tiny hidden-sm hidden-xs"></div>
                <div class="spacer-invis"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
                <div class="spacer-invis hidden-sm hidden-xs"></div>
            </div>
        </div>
    </div>
</section>

<section class="section <?= isset($member) ? 'hidden' : '' ?>" id="not-found">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h2 class="section-title">Not Found</h2>
                <div class="spacer-invis"></div>
                <p class="text-center">We're sorry we cannot find the member you're looking for</p>
            </div>
        </div>
    </div>
</section>


<section id="info-found" class="<?= isset($member) ? '' : 'hidden' ?>">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-4 no-padding section-grey content-to-equalize">
                <div id="member-container">
                <div class="team-member">
                    <div class="team-image" id="member-avatar">
                        <div class="shine"></div>
                    </div>
                    <p class="team-name hidden"></p>
                    <p class="team-position hidden"></p>
                    <div class="team-name-placeholder"></div>
                    <div class="team-position-placeholder"></div>
                </div>
                </div>
            </div>
            <div class="col-md-7 col-lg-6 col-lg-offset-1 content-to-equalize service-content">
                <div class="spacer-invis"></div>
                <div class="spacer-invis"></div>

                <div class="team-name-placeholder" style="margin-left: 0">
                    <div class="shine"></div>
                </div>
                <h1 class="brand"><span class="member-first-name"></span></h1>
                <div class="spacer-invis"></div>
                <h3 class="p700 hidden" id="qualification">B. Law (Syd)</h3>
                <div class="bio">
                    <div class="shine" style="height: 250px"></div>
                </div>
                <div class="spacer-invis"></div>
            </div>
        </div>

    </div>
</section>

<?php include_once '../../partials/footer.php' ?>
<script>
  $(function() {
    if (window.innerWidth > 992) {
      equilizeHeight('.content-to-equalize');
    }
  });

  $(window).on('resize', function(){
    if (window.innerWidth <= 992) {
      $('.content-to-equalize').each(function(i, e) {
        $(e).css('height', 'auto')
      })
    }else {
      equilizeHeight('.content-to-equalize');
    }
  });
  <?php if (isset($member)) : ?>
  $(function() {
    getMember();
  });
  function getMember() {
    $.get('<?= WP_API.WP_API_DEFAULT_ENDPOINT ?>members?slug=<?= $member ?>')
      .success(function(data) {
        if (data.length < 1) {
          $('#not-found').removeClass('hidden');
          $('#info-found').addClass('hidden');
          return false;
        }
        renderMember(data[0]);
      }).fail(function(e) {
      alert('Sorry there has been an error reading data')
    })
  }

    function renderMember(member) {
      $('.team-name-placeholder').hide();
      $('.team-position-placeholder').hide();
      $('.team-name').removeClass('hidden').text(member.title.rendered);
      if (member.acf.position) {
        $('.team-position').removeClass('hidden').text(member.acf.position);
      }
      if (member.featured_media) {
        getMediaLink(member.featured_media);
      }
      if (member.acf.first_name) {
        $('.member-first-name').text('About ' + member.acf.first_name);
      }
      if (member.acf.qualification && member.acf.qualification !== '') {
        $('#qualification').removeClass('hidden').text(member.acf.qualification);
      }
      $('.bio').html('').html(member.content.rendered);
    }

    function getMediaLink(id, size) {
      if (!size) size = 'full';
      $.get('<?= WP_API.WP_API_DEFAULT_ENDPOINT ?>media/' + id)
        .success(function(data) {
          if (data.media_details.sizes[size]) {
            $('.team-image').html('').css('background-image', 'url("' + data.media_details.sizes[size].source_url + '")');
          }else {
            $('.team-image').html('').css('background-image', 'url("' + data.guid.rendered + '")');
          }
        }).fail(function(e) {
        //
        console.log(e)
      });
    }

<?php endif ?>

</script>
</body>
</html>
