<?php if ( ! isset($isContactPage) ) : ?>
    <section class="section footer-contact">
        <div class="container">
            <div class="row">
                <div class="col-md-4 col-md-offset-1">
                    <h2 class="text-white"><span class="brand">Contact Us</span> Today</h2>
                    <p>Fill in the form, give us a call
                        on <span class="p700">02 9223 5704</span> or email us
                        <span class="p700">info@halegal.com.au</span></p>
                </div>
                <div class="col-md-6 col-md-offset-1 ">
                    <div class="spacer-invis visible-xs visible-sm"></div>
                    <div class="footer-contact-form-container">
                        <div class="flex-row flex1">
                            <div class="flex1 padding4">
                                <input class="input form-control" placeholder="First Name" name="c_fname" id="c_fname"
                                       type="text">
                            </div>
                            <div class="flex1 padding4">
                                <input class="input form-control" placeholder="Last Name" name="c_lname" id="c_lname"
                                       type="text">
                            </div>
                        </div>
                        <div class="flex-row flex1">
                            <div class="flex1 padding4">
                                <input class="input form-control" placeholder="Email" name="c_email" id="c_email"
                                       type="email">
                            </div>
                            <div class="flex1 padding4">
                                <input class="input form-control" placeholder="Phone" name="c_tel" id="c_tel"
                                       type="tel">
                            </div>
                        </div>
                        <div class="flex-row flex1">
                            <div class="flex1 padding4">
                                <input class="input form-control" name="c_subject" id="c_subject" type="text"
                                       placeholder="Subject">
                            </div>
                        </div>
                        <div class="flex-row flex2">
                            <div class="flex1 padding4">
                                <textarea class="input form-control" name="c_msg" id="c_msg"
                                          placeholder="Tell us a bit about your enquiry...."></textarea>
                            </div>
                        </div>
                        <div class="flex-row flex1">
                            <div class="flex1 padding4">
                                <a class="btn btn-wide footer-form-submit" href="javascript:;"
                                   onclick="submitEnquiry()">Submit</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endif; ?>
<footer class="section">
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-md-offset-1">
                <img src="<?= PUBLIC_URL ?>images/logo-darrk.png"
                     style="max-height: var(--navbar-height); margin-bottom: 20px">
                <p class="brand"><small><small>© Copytight 2020 H+A Legal. All rights reserved.</small></small></p>
            </div>
            <div class="col-md-6 col-md-offset-1">
                <div class="row footer-links">
                    <div class="col-md-4">
                        <a href="<?= SITE_URL ?>">Home</a>
                        <a href="<?= SITE_URL ?>services">Services</a>
                        <a href="<?= SITE_URL ?>how-we-work">How We Work</a>
                    </div>
                    <div class="col-md-4">
                        <a href="<?= SITE_URL ?>resources">Resources</a>
                        <a href="<?= SITE_URL ?>our-team">Our Team</a>
                        <a href="<?= CONTACT_US_LINK ?>">Contact</a>
                    </div>
                    <div class="col-md-4">
                        <a href=#>Sitemap</a>
                        <a href="#">Privacy</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<?php include_once( __DIR__ . '/sending-modal.php' ) ?>
<script src="<?= PUBLIC_URL ?>js/jquery.min.js"></script>
<script src="<?= PUBLIC_URL ?>js/bootstrap.min.js"></script>

<script>
  function closeMobileMenu() {
    $('.mobile-nav').addClass('closed');
  }

  function openMobileMenu() {
    $('.mobile-nav').removeClass('closed');
  }

  function equilizeHeight(selector) {
    var maxH = 0;
    $(selector).each(function(i, e) {
      if ( $(e).height() > maxH ) {
        maxH = $(e).height();
      }
    }).each(function(i, e) {
      $(e).height(maxH);
    })
  }


  function submitEnquiry() {
    var $fname = $('#c_fname').val();
    var $lname = $('#c_lname').val();
    var $email = $('#c_email').val();
    var $mobile = $('#c_tel').val();
    var $subject = $('#c_subject').val();
    var $message = $('#c_msg').val();

    if ( !$fname || !$lname || !$email || !$mobile ) {
      alert('Please enter all the required information before submitting');
      return;
    }
    if ( !validateEmail($email) ) {
      alert('Please enter valid email address!');
      return;
    }
    if ( $mobile.length < 6 || $email.length < 6 ) {
      alert('Please enter all the required information before submitting');
      return;
    }
    $('#modal-sending-icon')
      .removeClass('fa-remove')
      .addClass('fa-envelope-o');
    $('#modal-sending-text').html('Sending ...');

    $.ajaxSetup({
      headers: {
        // 'Content-Type': 'application/json',
        'Accept': 'application/json'
      }
    });

    $('#sending-modal').modal('show');
    $.post('<?= CONTACT_US_LINK ?>/', {
      c_fname: $fname,
      c_lname: $lname,
      c_email: $email,
      c_tel: $mobile,
      c_subject: $subject,
      c_msg: $message,
      id: '<?= session_id() ?>',
    }).success(function() {
      $('#modal-sending-icon')
        .removeClass('fa-envelope-o')
        .addClass('fa-check text-success');
      $('#modal-sending-text').html('Your message has been sent successfully');
    }).fail(function(res) {
      var json = JSON.parse(res.responseText);
      $('#modal-sending-icon')
        .removeClass('fa-envelope-o')
        .addClass('fa-remove text-danger');
      $('#modal-sending-text').text(json.error);
    })

  }

  function validateEmail(email) {
    var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
    return re.test(email);
  }


</script>
