<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Nineteen
 * @since Twenty Nineteen 1.0
 */
?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<?php wp_head(); ?>
</head>

<body>
<div class="body">
    <nav class="mobile-nav closed animated hidden-lg hidden-md">
        <a class="quick-animated" href="<?= SITE_URL ?>">Home</a>
        <a class="quick-animated" href="<?= SITE_URL ?>services">Services</a>
        <a class="quick-animated" href="<?= SITE_URL ?>how-we-work">How We Work</a>
        <a class="quick-animated" href="<?= SITE_URL ?>resources">Resources</a>
        <a class="quick-animated" href="<?= SITE_URL ?>our-team">Our Team</a>
        <a class="quick-animated" href="<?= CONTACT_US_LINK ?>">Contact</a>
        <a href="tel:0292235704" class="special quick-animated">ph. (02) 9223 5704</a>
        <button class="close-mobile-menu" onclick="closeMobileMenu()"><span class="fa fa-arrow-right"></span></button>
    </nav>

    <header class="header">
        <div class="container">
            <div class="row">
                <div class="col-xs-8 col-md-2">
                    <img src="<?= PUBLIC_URL ?>images/logo-darrk.png" style="max-height: var(--navbar-height)">
                </div>
                <div class="col-xs-4 col-md-10 links-container">
                    <div class="hidden-xs hidden-sm">
                        <div style="width: 100%; height: var(--navbar-height); display: flex; flex-direction: row; align-items: center; justify-content: space-evenly">
                            <a class="quick-animated" href="<?= SITE_URL ?>">Home</a>
                            <a class="quick-animated" href="<?= SITE_URL ?>services">Services</a>
                            <a class="quick-animated" href="<?= SITE_URL ?>how-we-work">How We Work</a>
                            <a class="quick-animated" href="<?= SITE_URL ?>resources">Resources</a>
                            <a class="quick-animated" href="<?= SITE_URL ?>our-team">Our Team</a>
                            <a class="quick-animated" href="<?= CONTACT_US_LINK ?>">Contact</a>
                            <a href="tel:0292235704" class="special quick-animated">ph. (02) 9223 5704</a>
                        </div>
                    </div>
                    <div class="visible-xs visible-sm">
                        <div class="mobile-menu">
                            <a href="javascript:;" onclick="openMobileMenu()">
                                <span class="fa fa-bars"></span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </header>

