<?php

function members_custom_post_type() {

// Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'Team Members', 'Post Type General Name', 'catchsolutions' ),
        'singular_name'       => _x( 'Team Member', 'Post Type Singular Name', 'catchsolutions' ),
        'menu_name'           => __( 'Members', 'catchsolutions' ),
        'parent_item_colon'   => __( 'Manager', 'catchsolutions' ),
        'all_items'           => __( 'All Members', 'catchsolutions' ),
        'view_item'           => __( 'View Member', 'catchsolutions' ),
        'add_new_item'        => __( 'Add A New Member', 'catchsolutions' ),
        'add_new'             => __( 'Add New', 'catchsolutions' ),
        'edit_item'           => __( 'Edit Member', 'catchsolutions' ),
        'update_item'         => __( 'Update Member', 'catchsolutions' ),
        'search_items'        => __( 'Search Member', 'catchsolutions' ),
        'not_found'           => __( 'Not Found', 'catchsolutions' ),
        'not_found_in_trash'  => __( 'Not found in trash', 'catchsolutions' ),
    );

// Set other options for Custom Post Type

    $args = array(
        'label'               => __( 'members', 'catchsolutions' ),
        'description'         => __( 'Team Members of H A Legal', 'catchsolutions' ),
        'labels'              => $labels,
        'supports'            => array( 'title',  'excerpt', 'thumbnail', 'custom-fields', 'editor', 'page-attributes'), // ,
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_icon'           => 'dashicons-admin-users',
        'menu_position'       => 5,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'page',

        'rewrite' 				=> array('slug' => 'members'),


        // Add to REST API
        'show_in_rest'        => true,
        'rest_base'          => 'members',
//        'rest_controller_class' => 'WP_REST_Posts_Controller',
    );

    // Registering your Custom Post Type
    register_post_type( 'members', $args );

}

/* Hook into the 'init' action so that the function
* Containing our post type registration is not
* unnecessarily executed.
*/

add_action( 'init', 'members_custom_post_type', 0 );
