<?php

function testimonials_custom_post_type() {

// Set UI labels for Custom Post Type
    $labels = array(
        'name'                => _x( 'Testimonials', 'Post Type General Name', 'catchsolutions' ),
        'singular_name'       => _x( 'Testimonial', 'Post Type Singular Name', 'catchsolutions' ),
        'menu_name'           => __( 'Testimonials', 'catchsolutions' ),
        'parent_item_colon'   => __( 'Testimonials', 'catchsolutions' ),
        'all_items'           => __( 'All Testimonials', 'catchsolutions' ),
        'view_item'           => __( 'View Testimonial', 'catchsolutions' ),
        'add_new_item'        => __( 'Add A New Testimonial', 'catchsolutions' ),
        'add_new'             => __( 'Add New', 'catchsolutions' ),
        'edit_item'           => __( 'Edit Testimonial', 'catchsolutions' ),
        'update_item'         => __( 'Update Testimonial', 'catchsolutions' ),
        'search_items'        => __( 'Search Testimonial', 'catchsolutions' ),
        'not_found'           => __( 'Not Found', 'catchsolutions' ),
        'not_found_in_trash'  => __( 'Not found in trash', 'catchsolutions' ),
    );

// Set other options for Custom Post Type

    $args = array(
        'label'               => __( 'testimonials', 'catchsolutions' ),
        'description'         => __( 'Testimonials of H A Legal Clients', 'catchsolutions' ),
        'labels'              => $labels,
        'supports'            => array( 'title', 'thumbnail', 'custom-fields', 'editor', 'page-attributes'), // , 'title',  'excerpt',
        'hierarchical'        => false,
        'public'              => true,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'show_in_admin_bar'   => true,
        'menu_icon'           => 'dashicons-testimonial',
        'menu_position'       => 6,
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => true,
        'capability_type'     => 'page',

        'rewrite' 				=> array('slug' => 'testimonials'),


        // Add to REST API
        'show_in_rest'        => true,
        'rest_base'          => 'testimonials',
//        'rest_controller_class' => 'WP_REST_Posts_Controller',
    );

    // Registering your Custom Post Type
    register_post_type( 'testimonials', $args );

}

/* Hook into the 'init' action so that the function
* Containing our post type registration is not
* unnecessarily executed.
*/

add_action( 'init', 'testimonials_custom_post_type', 0 );
