<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Nineteen
 * @since Twenty Nineteen 1.0
 */

get_header();
?>

<?php if (is_home()) : ?>

    <section class="inner-banner" style="background-image: url('<?= PUBLIC_URL ?>images/blog-banner.jpg')">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-md-8 col-md-offset-2">
                    <div class="spacer-invis"></div>
                    <h1 class="inner-hero-title">Resources to help you
                        navigate the complex legal system</h1>
                    <p class="inner-hero-desc"></p>
                    <div class="spacer-tiny hidden-sm hidden-xs"></div>
                    <!--                        <a class="btn btn-success btn-dark btn-wide quick-animated" href="--><?//= CONTACT_US_LINK ?><!--">Contact Us</a>-->
                    <div class="spacer-invis"></div>
                </div>
            </div>
        </div>
    </section>

<?php endif ; ?>

<section class="section section-grey">
<?php
		if ( have_posts() ) {
			// Load posts loop.
            echo '<div class="container"><div class="row">';
			while ( have_posts() ) {
				the_post();
				get_template_part( 'template-parts/content/content' );
			}
            echo '</div></div>';
			// Previous/next page navigation.
//			twentynineteen_the_posts_navigation();

		} else {
            echo '<div class="container"><div class="row"><div class="col-xs-12">';
			// If no content, include the "No posts found" template.
			get_template_part( 'template-parts/content/content', 'none' );
            echo '</div></div></div>';
		}
		?>
<div class="nav-pagination">
<?php
echo paginate_links();
?>
</div>
</section>
<?php
get_footer();
?>
