<?php
/*
 Template Name: Inner Page Full Width
 *
 */
?>

<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

    <header class="header" role="banner" itemscope itemtype="http://schema.org/WPHeader">


        <div class="container-fluid" style="background-image: url('<?php the_post_thumbnail_url('full') ?>') ">
            <div class="row">
                <div class="col-xs-12">
                    <div id="inner-header" class="wrap cf">

                        <div id="logo" class="inner-logo <?= $logoColor ?>" itemscope itemtype="http://schema.org/Organization"><a
                                    href="<?php echo home_url(); ?>" rel="nofollow"><?php // bloginfo('logo'); ?></a>
                        </div>
                        <a href="javascript:;" class="hamburger" onclick="openMenu()">
                            <span class="bar">___</span>
                            <span class="bar">___</span>
                            <span class="bar">___</span>
                        </a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 text-center">
                    <h1 class="page-title" style="color: <?= $titleColor ?>;">
                        <?php the_title(); ?>
                    </h1>
                    <?php custom_breadcrumbs()?>
                </div>
            </div>
        </div>

    </header>

    <?php get_template_part ('partials/side-menu'); ?>

    <div id="content">

        <div id="inner-content" class="wrap cf">

            <main id="main" class="m-all t-2of3 d-5of7 cf" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

                <article id="post-<?php the_ID(); ?>" <?php post_class( 'cf' ); ?> role="article" itemscope itemtype="http://schema.org/BlogPosting">

                    <header class="article-header">

                        <h1 class="page-title"><?php the_title(); ?></h1>

                    </header>

                    <section class="entry-content cf" itemprop="articleBody">
                        <?php
                        // the content (pretty self explanatory huh)
                        the_content();

                        ?>
                    </section>


                    <footer class="article-footer">

                    </footer>

                    <?php // comments_template(); ?>

                </article>

            </main>

            <?php // get_sidebar(); ?>

        </div>

    </div>

<?php endwhile; else : ?>

    <article id="post-not-found" class="hentry cf">
        <header class="article-header">
            <h1><?php _e( 'Oops, Post Not Found!', 'bonestheme' ); ?></h1>
        </header>
        <section class="entry-content">
            <p><?php _e( 'Uh Oh. Something is missing. Try double checking things.', 'bonestheme' ); ?></p>
        </section>
        <footer class="article-footer">
            <p><?php _e( 'This is the error message in the page-custom.php template.', 'bonestheme' ); ?></p>
        </footer>
    </article>

<?php endif; ?>

<?php get_footer(); ?>
