<?php get_header(); ?>
<style>
    .inner-blog-banner {
        background-image: url("<?= get_the_post_thumbnail_url() != null ? the_post_thumbnail_url() : PUBLIC_URL .'images/blog-banner.jpg' ?>");
        background-size: cover;
    }
</style>
<section class="inner-banner inner-blog-banner">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-8 col-md-offset-2">
                <div class="spacer-invis"></div>
                <h1 class="inner-hero-title blog-title"><?php the_title() ?></h1>
                <div class="spacer-tiny hidden-sm hidden-xs"></div>
                <a class="btn btn-success btn-dark btn-wide quick-animated" href="<?= site_url() ?>">
                    <span class="fa fa-arrow-left icon-margin-8"></span> View all
                </a>
                <div class="spacer-invis"></div>
            </div>
        </div>
    </div>
</section>
<section class="section">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <main id="main" class="m-all t-2of3 d-5of7 cf" role="main" itemscope itemprop="mainContentOfPage"
                      itemtype="http://schema.org/Blog">

                    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                        <?php
                        the_content(
                            sprintf(
                                wp_kses(
                                /* translators: %s: Post title. Only visible to screen readers. */
                                    __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'twentynineteen'),
                                    array(
                                        'span' => array(
                                            'class' => array(),
                                        ),
                                    )
                                ),
                                get_the_title()
                            )
                        );

                        wp_link_pages(
                            array(
                                'before' => '<div class="page-links">' . __('Pages:', 'twentynineteen'),
                                'after'  => '</div>',
                            )
                        );
                        ?>

                    <?php endwhile; ?>

                    <?php else : ?>

                        <article id="post-not-found" class="hentry cf">
                            <header class="article-header">
                                <h1><?php _e('Oops, Post Not Found!', 'bonestheme'); ?></h1>
                            </header>
                            <section class="entry-content">
                                <p><?php _e('Uh Oh. Something is missing. Try double checking things.', 'bonestheme'); ?></p>
                            </section>
                            <footer class="article-footer">
                                <p><?php _e('This is the error message in the single.php template.', 'bonestheme'); ?></p>
                            </footer>
                        </article>

                    <?php endif; ?>

                </main>
            </div>
        </div>
    </div>
</section>
<?php if ( get_previous_post_link('%link', '%title') || get_next_post_link('%link', '%title') ) : ?>

    <section class="post-nave section section-grey">
        <div class="container">
            <div class="row">
                <div class="col-xs-6">
                    <?php if ( get_previous_post_link('%link', '%title') ) : ?>
                    <div class="previous-model post-nav">
                        <?= previous_post_link('%link', '<span class="fa fa-arrow-left icon-margin-8"></span> %title'); ?>
                    </div>
                </div>
                <?php endif; ?>
                <div class="col-xs-6 text-right">
                    <?php if ( get_next_post_link('%link', '%title') ) : ?>
                        <div class="next-model post-nav">
                            <?= next_post_link('%link', '<span class="icon-margin-8">%title</span> <span class="fa fa-arrow-right"></span>'); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
<?php endif ?>

<?php //get_sidebar(); ?>

<?php get_footer(); ?>
