<?php include_once '../../config.php'; ?>
<?php
    $title = 'Business Purchase & Sale | H A Legal';
    $active = 'business-purchase-sale';
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../../partials/head.php' ?>
<body>
<?php include_once '../../partials/header.php'?>

<?php include_once '../service-parts/inner-service-banner.php' ?>

<?php include_once '../service-data.php' ?>
<section>
    <div class="container-fluid">
        <div class="row">
            <?php include_once '../service-parts/service-menu.php' ?>

            <?php include_once '../service-parts/open-content.php' ?>
                <h1 class="brand">Purchasing a Business</h1>
                <div class="spacer-invis"></div>
                <h3 class="p700">Litigation</h3>
                <p>Purchasing a business is both exciting and overwhelming and can result in real financial freedom and success. Acquiring an existing business is a big decision so it is crucial that you consider and evaluate all aspects of the business before you commit and take the right steps to ensure you are contractually protected. Our team can guide you throughout all stages of the purchasing process and assist to identify any challenges prior to commitment.</p>
                <p>A few important points to consider when purchasing a business include:</p>
                <ul style="line-height: 2">
                    <li>What is the vendors motivation for selling?</li>
                    <li>Who are the businesses key customers and suppliers?</li>
                    <li>Does the business have any ownership of key assets or any ongoing liabilities?</li>
                    <li>Disputes (past or current)?</li>
                    <li>What is the value of the business? Perhaps seek a second opinion from a professional, business valuer or accountant</li>
                </ul>
                <div class="spacer-invis"></div>
                <div class="spacer-invis"></div>
                <h3 class="p700">Selling your business</h3>
                <p>When the time is right and you are ready to sell your business, you want to also ensure you are walking away in the best financial position possible.  There are a number of important steps that our team can assist you with when selling your business that guarantee a smooth and seamless handover, including:</p>
                <ul style="line-height: 2">
                    <li>Compliance and due diligence</li>
                    <li>Drafting and reviewing contracts</li>
                    <li>Negotiating the terms of the sale</li>
                    <li>Exchanging</li>
                    <li>Settling</li>
                </ul>
            <p>Calculating the value of the business can sometimes be difficult as it must take into consideration more than just the physical assets, but also the intangible assets including intellectual property rights (such as trademarks), real property interests, supplier contracts and licenses.</p>
            <p>If the sale is due to financial hardship encountered by the business, we can assist with providing other options to resolve them, rather than selling. Our team can provide tailored advice and assistance to ensure that your decision to sell is the right one. </p>
            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Exit Planning and Business Succession</h3>
            <p>When you have worked hard to build the business, overcome various obstacles and been forced to make many good and bad decisions to keep the business afloat, you want to ensure that when you choose to walk away, you are rewarded accordingly. </p>
            <?php include_once '../service-parts/close-content.php' ?>
        </div>

    </div>
</section>

<?php include_once '../../partials/footer.php' ?>
<?php include_once '../service-parts/inner-service-script.php' ?>
</body>
</html>
