<?php include_once '../../config.php'; ?>
<?php
$title  = 'Business Structuring | H A Legal';
$active = 'business-structuring';
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../../partials/head.php' ?>
<body>
<?php include_once '../../partials/header.php' ?>

<?php include_once '../service-parts/inner-service-banner.php' ?>

<?php include_once '../service-data.php' ?>
<section>
    <div class="container-fluid">
        <div class="row">
            <?php include_once '../service-parts/service-menu.php' ?>

            <?php include_once '../service-parts/open-content.php' ?>
            <h1 class="brand">Business Structuring</h1>
            <div class="spacer-invis"></div>
            <h3 class="p700">Choosing the Right Business Structure</h3>
            <p>When starting a business there are so many decisions to make in a short period of time, one of the most
                important being the legal business structure you will use to run your business. We can assist in this
                early decision-making process by ensuring all crucial elements of your business are properly
                considered</p>
            <p>The different types of commonly used business structures are::</p>
            <h4 class="p700">Sole Trader</h4>
            <p>The Sole Trader structure arises where an individual operates a business under an Australian Business
                Number (or more commonly known, ABN). It is considered simple and inexpensive and, suitable for very
                small businesses. As the sole owner, you have total control and management of the business, with one
                significant downside being that you are personally liable for all the debts and liabilities of the
                business. </p>
            <div class="spacer-tiny"></div>
            <h4 class="p700">Company</h4>
            <p>A company is an entity that is separate from its owners and directors (e.g. it can sue and be sued in its
                own name).
                On formation, shares in the company are issued to the owners and, directors are appointed to manage the
                business. Criticisms of company structures include; higher administration and set up costs, complex
                reporting and increased regulations. Whilst the debts of the company cannot be enforced against business
                owners, certain liabilities if remain unpaid or upheld, may be enforced against directors
                personally. </p>
            <div class="spacer-tiny"></div>
            <h4 class="p700">Partnership</h4>
            <p>The partnership structure is used where two or more people come together to form a business with a common
                purpose to make a profit and is generally an inexpensive, simple to form and easier to dissolve business
                structure. Each partner is jointly liable for the debts and liabilities of the partnership and bound by
                the conduct of other partners. </p>
            <p>Upon formation, it is crucial to appoint a lawyer to put together a partnership agreement which sets out
                the terms and management of the business. </p>
            <div class="spacer-tiny"></div>
            <h4 class="p700">Trust</h4>
            <p>A trust is a legal structure which is created where a person (trustee) holds property, incurs liabilities
                and earns and distributes income for the good of one or more beneficiaries. Trusts can provide business
                owners with significant tax minimisation benefits and can be used in conjunction with companies to
                achieve the benefits of both asset protection and income splitting. </p>
            <p>On the downside, once established, trusts are quite rigid to operate and changes to trust deed terms
                should only be made after careful consideration to avoid triggering tax consequences. Ongoing
                administration and setup costs can also prove expensive. </p>

            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Shareholders Agreement</h3>
            <p>A Shareholders Agreement is a legal document that sets out the rights and obligations of company
                shareholders with the primary aim of protecting the interest of the company. They are formulated to
                address issues that may arise throughout the business’ life by deciding in advance how such issues
                should be dealt with.</p>
            <p>Each shareholders agreement will vary depending on the circumstances and shareholders of that business. Our lawyers can assist with drafting, negotiating or reviewing shareholders agreements and advise on:</p>
            <ul style="line-height: 2">
                <li>Roles and responsibilities of shareholders</li>
                <li>Exit strategies</li>
                <li>The price of any share sale/purchase</li>
                <li>Restrictions on outgoing shareholders competing against the company</li>
                <li>The ability for founding shareholders to veto certain fundamental company decisions, or alternatively the percentage of shareholders’ approval required to do</li>
                <li>Payment of company earnings to shareholders; and</li>
                <li>Shareholders indemnity for directors</li>
            </ul>
            <p>Starting a business requires a large investment of time, effort and money so setting up a shareholders agreement goes a long way in protecting that investment and is also a great way of managing the expectations of your shareholders at the very beginning of a business relationship. </p>
            <p>In addition to shareholders agreements, our team can assist with:</p>
            <ul style="line-height: 2">
                <li>drafting
                    <ul>
                        <li>share subscription agreements</li>
                        <li>share vesting agreements</li>
                        <li>buy/sell agreements</li>
                        <li>employee share schemes</li>
                    </ul>
                </li>
                <li>advising on business structuring</li>
                <li>assisting in resolving shareholder disputes.</li>
            </ul>
            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Company Registration Australia</h3>
            <p>If you have decided that a company structure is the most suitable structure for your business, company registration with the Australian Securities and Investments Commission (ASIC) is a crucial step to operate your business in Australia.</p>
            <p>Our team can assist with:</p>
            <ul style="line-height: 2">
                <li>Company registration and the acquisition of an Australian Company Number (ACN)</li>
                <li>Company name and domain name registrations</li>
                <li>Applications for reservation of a company name</li>
                <li>Australia Business Number (ABN) application</li>
                <li>Registration of GST and PAYG withholding</li>
                <li>Conducting research into existing company names, trademarks and domain names so that they don’t coincide with your chosen domain name</li>
                <li>Providing advice on company structure, whether it be a single operating company, an IP holding company or discretionary trust structure to achieve both asset protection and tax benefits</li>
                <li>preparing key company contracts, company constitutions, independent contract agreements, employment contracts and shareholder agreements (if there are two or more shareholders in the company)</li>
            </ul>

            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Business Terms & Conditions</h3>
            <p>The rights and responsibilities of each party when they enter into a transaction are clearly set out in the business terms and conditions. These are essential to protect your business when an issue arises and also to minimise the likelihood of a dispute escalating with a customer.</p>
            <p>The type of business terms and conditions will be dependent on the type of business in which you operate:</p>
            <ul style="line-height: 2">
                <li>Sales terms and conditions are essential for ecommerce businesses or stores that operate online and are generally provided to the customer through a click and accept type of agreement.</li>
                <li>Client agreement or service terms are essential for businesses that provide a service and sets out the terms in which the customer will receive the service.</li>
                <li>Marketplace terms and conditions are essential for marketplace businesses as it sets out the terms of its relationship with both suppliers and customers.</li>
            </ul>
            <p>Our team have experience in assisting businesses across a range of industries and sectors and can tailor your business terms and conditions to meet your specific needs. If you already have a set of terms and conditions, we can assist with reviewing and ensuring they comply with obligations under Australian Consumer Law.</p>

            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Discretionary Trusts</h3>
            <p>A discretionary trust is an asset ownership arrangement that some business owners and investors establish to assist with asset protection. If you are a director of a company, your personal assets could be at risk if there is a breach in your directors’ duties and for any debts in certain circumstances (e.g. fraud, wilful negligence, trading while insolvent) incurred by that company.</p>

            <?php include_once '../service-parts/close-content.php' ?>
        </div>

    </div>
</section>

<?php include_once '../../partials/footer.php' ?>
<?php include_once '../service-parts/inner-service-script.php' ?>
</body>
</html>
