<?php include_once '../../config.php'; ?>
<?php
    $title = 'Employment | H A Legal';
    $active = 'employment';
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../../partials/head.php' ?>
<body>
<?php include_once '../../partials/header.php'?>

<?php include_once '../service-parts/inner-service-banner.php' ?>

<?php include_once '../service-data.php' ?>
<section>
    <div class="container-fluid">
        <div class="row">
            <?php include_once '../service-parts/service-menu.php' ?>

            <?php include_once '../service-parts/open-content.php' ?>
                <h1 class="brand">Employment</h1>
                <div class="spacer-invis"></div>
            <p>Employee management disputes can have significant financial and reputational consequences. Attempting to navigate the complex Australian employment law framework alone can very quickly become a taxing and inefficient exercise.</p>
            <p>The Fair Work Act 2009 (Cth) governs Australian workplace relationships between employees and employers and sets the minimum workplace entitlements called the National Employment Standards (NES). The NES protects employees from unreasonable workloads, dictates the various obligations of both parties and promotes the productivity of employees.</p>
            <div class="spacer-tiny"></div>
                <h3 class="p700">Drafting and Reviewing Employment Contracts</h3>
                <p>Well-drafted employment contracts, workplace policies and guidelines are key foundations that businesses need to put in place in order to effectively manage their employees.</p>
                <p>Our team can assist businesses to mitigate, manage and resolve workplaces issues by:</p>
                <ul style="line-height: 2">
                    <li>Drafting and reviewing
                        <ul>
                            <li>Employment contracts</li>
                            <li>Workplace policies, handbooks and guidelines</li>
                            <li>Employee confidentiality agreements</li>
                            <li>Contractor's agreements</li>
                            <li>Employment terms and conditions</li>
                        </ul>
                    </li>
                    <li>Advising on
                        <ul>
                            <li>Employment terminations (including entitlements, bonuses and reasonable notice periods)</li>
                            <li>Businesses relationship with their employees and contractors</li>
                            <li>Inclusion and enforceability of post-employment restraints</li>
                            <li>Non-compete and non-solicitation clauses</li>
                        </ul>
                    </li>
                </ul>
            <p>It is common that many employees will consult with a lawyer prior to signing a new employment contract to ensure it reflects the wishes of both parties. For employees in senior executive positions, seeking legal advice to review and negotiate employment contracts is crucial in mitigating issues from arising in the future.</p>

            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Employment Disputes</h3>

            <p>Employee disputes can result in significant financial and reputational risks for businesses and can also be difficult, stressful and intimidating for the employee. Generally, employment disputes can be resolved through negotiation, however if the issues cannot be amicably resolved, you may need legal advice.</p>
            <p>We can assist by:</p>
            <ul style="line-height: 2">
                <li>Providing strategic solutions to resolve employment disputes</li>
                <li>Advising
                    <ul>
                        <li>Employment contracts</li>
                        <li>Contractor agreements</li>
                        <li>Workplace policies</li>
                        <li>Employment terminations</li>
                        <li>Negotiations on the terms and conditions of employment</li>
                        <li>Dispute resolution procedures</li>
                    </ul>
                </li>
            </ul>

            <?php include_once '../service-parts/close-content.php' ?>
        </div>

    </div>
</section>

<?php include_once '../../partials/footer.php' ?>
<?php include_once '../service-parts/inner-service-script.php' ?>
</body>
</html>
