<?php include_once '../../config.php'; ?>
<?php
    $title = 'Start ups | H A Legal';
    $active = 'start-ups';
?>
<!DOCTYPE html>
<html lang="en">
<?php include_once '../../partials/head.php' ?>
<body>
<?php include_once '../../partials/header.php'?>

<?php include_once '../service-parts/inner-service-banner.php' ?>

<?php include_once '../service-data.php' ?>
<section>
    <div class="container-fluid">
        <div class="row">
            <?php include_once '../service-parts/service-menu.php' ?>

            <?php include_once '../service-parts/open-content.php' ?>
                <h1 class="brand">Start ups</h1>
                <div class="spacer-invis"></div>
            <h3 class="p700">Capital Raising</h3>
            <p>Starting a business can often be very exciting and challenging at the same time. Depending on the size, the up-front costs and the type of business you want to launch, you may consider raising capital in order to grow your business.</p>
            <p>These days, start-up business owners have more funding options, such as private investments from friends and family or even crowdfunding. We can assist you in the process of evaluating your funding options.</p>

            <p class="p700">Stages of funding:</p>
            <p><strong>1. Business Plan</strong><br>
                The first stage in your funding analysis should be to prepare a detailed business plan. The business plan will act as a guide in determining the best funding option for your business.
            </p>
            <p><strong>2. Funding Possibilities</strong><br>
                When starting up your business, you should consider all your funding possibilities that are available to you, these include:</p>
            <ul style="line-height: 2">
                <li>Bank loans and credit loans</li>
                <li>Grants</li>
                <li>Family and friends</li>
                <li>Co-founders</li>
                <li>Seed funding or seed capital</li>
                <li>Crowdfunding</li>
            </ul>

            <p>Our team can guide you through the process of obtaining adequate funding by assisting with:</p>

            <ul style="line-height: 2">
                <li>Drafting and/or reviewing
                    <ul>
                        <li>Shareholders agreements</li>
                        <li>Subscription agreements</li>
                        <li>Term sheets</li>
                    </ul>
                </li>
                <li>Advising on
                    <ul>
                        <li>Raising capital</li>
                        <li>Corporate governance</li>
                    </ul>
                </li>

            </ul>

            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
                <h3 class="p700">Start up Structuring</h3>
                <p>Selecting the most suitable business structure for a start up is one of the most crucial decisions founders will need to make. We can assist in this early decision-making process by ensuring all crucial elements of your business are properly considered such as:</p>
                <ul style="line-height: 2">
                    <li>Drafting and/or reviewing shareholders agreements</li>
                    <li>Establishing (if needed):
                        <ul>
                            <li>A dual company structure</li>
                            <li>A discretionary or family trust</li>
                            <li>Employee share schemes</li>
                        </ul>
                    </li>
                </ul>
            <p>The type of structure selected will not only affect how the business will operate, but also the way in which it will obtain finances. Our team can assist in both the early and later stages of structuring to reduce potential risks and costs as your business progresses along its life cycle.</p>


            <div class="spacer-invis"></div>
            <div class="spacer-invis"></div>
            <h3 class="p700">Employee Share Schemes</h3>
            <p>An employee share scheme is an agreement whereby an employee (or a party related to them) is offered shares or offered to buy shares or other equity interests in a company in recognition of their employment.</p>
            <p>They can be used to achieve the following business outcomes:</p>
            <ul style="line-height: 2">
                <li>Employee retention and attraction</li>
                <li>Employee incentives</li>
                <li>Align business and employee interests</li>
                <li>Offer flexible renumeration packages</li>
                <li>Encourage productivity</li>
            </ul>

            <?php include_once '../service-parts/close-content.php' ?>
        </div>

    </div>
</section>

<?php include_once '../../partials/footer.php' ?>
<?php include_once '../service-parts/inner-service-script.php' ?>
</body>
</html>
